/* 
 * $RCSfile: gj_gtk_connection_settings.h,v $
 *
 * $Author: ginxd $
 * $Date: 2003/05/16 11:27:18 $
 * 
 * $Revision: 1.3 $
 *
 */

#ifndef __gj_gtk_cs_h
#define __gj_gtk_cs_h

gboolean gj_gtk_cs_load();
/* gboolean gj_gtk_cs_load_and_connect(); */
gboolean gj_gtk_cs_unload();

gboolean gj_gtk_cs_get();
gboolean gj_gtk_cs_set();
gboolean gj_gtk_cs_open();
gboolean gj_gtk_cs_save();

gchar *gj_gtk_cs_get_server();
gint16 gj_gtk_cs_get_port();
gchar *gj_gtk_cs_get_username();
gchar *gj_gtk_cs_get_password();
gchar *gj_gtk_cs_get_resource();
gchar *gj_gtk_cs_get_nickname();

gboolean gj_gtk_cs_get_save_password();
gboolean gj_gtk_cs_get_use_plain_text_password();
gboolean gj_gtk_cs_get_use_ssl();
gboolean gj_gtk_cs_get_auto_connect_on_startup();
gboolean gj_gtk_cs_get_auto_reconnect_on_disconnect();

gboolean gj_gtk_cs_set_server(gchar *server);
gboolean gj_gtk_cs_set_port(gint16 port);
gboolean gj_gtk_cs_set_username(gchar *username);
gboolean gj_gtk_cs_set_password(gchar *password);
gboolean gj_gtk_cs_set_resource(gchar *resource);
gboolean gj_gtk_cs_set_nickname(gchar *nickname);

void gj_gtk_cs_set_save_password(gboolean value);
void gj_gtk_cs_set_use_plain_text_password(gboolean value);
void gj_gtk_cs_set_use_ssl(gboolean value);
void gj_gtk_cs_set_auto_connect_on_startup(gboolean value);
void gj_gtk_cs_set_auto_reconnect_on_disconnect(gboolean value);

#endif

