/* 
 * $RCSfile: gj_gtk_messagebox.h,v $
 *
 * $Author: ginxd $
 * $Date: 2003/04/22 10:54:29 $
 * 
 * $Revision: 1.2 $
 *
 */

#ifndef _gj_gtk_messagebox_h_
#define _gj_gtk_messagebox_h_


#define GJ_GTK_MESSAGEBOX_BUTTON_OK         0x00000001
#define GJ_GTK_MESSAGEBOX_BUTTON_CANCEL     0x00000002
#define GJ_GTK_MESSAGEBOX_BUTTON_YES        0x00000004
#define GJ_GTK_MESSAGEBOX_BUTTON_NO         0x00000008
#define GJ_GTK_MESSAGEBOX_BUTTON_CLOSE      0x00000010

#define GJ_GTK_MESSAGEBOX_ICON_ERROR        0x00000100
#define GJ_GTK_MESSAGEBOX_ICON_EXCLAIMATION 0x00000200
#define GJ_GTK_MESSAGEBOX_ICON_QUESTION     0x00000400
#define GJ_GTK_MESSAGEBOX_ICON_INFORMATION  0x00000800

typedef void (*msgProc)(gint response, void *userdata);

gboolean gj_gtk_messagebox_load(gchar *message, 
				gchar *title, 
				gchar *action,
				gboolean modal,
				gint type,
				msgProc proc,
				void *userdata);

gboolean gj_gtk_messagebox_unload();

#endif

