/* 
 * $RCSfile: gj_gtk_support.h,v $
 *
 * $Author: ginxd $
 * $Date: 2003/04/22 10:54:30 $
 * 
 * $Revision: 1.2 $
 *
 */

#ifdef __cplusplus
extern "C" {
#if 0
}
#endif
#endif

#ifndef _gj_gtk_support_h_
#define _gj_gtk_support_h_

#include <glib.h>
#include <gtk/gtk.h>

gboolean gj_gtk_support_open_url(const gchar *url);
gboolean gj_gtk_support_sound_play(const gchar *filename);

/* call number filtering */
gchar *gj_gtk_support_filter_number(gchar *number);
gboolean gj_gtk_support_find_in_str(gchar *needle, gchar *haystack);

GtkWidget *gj_gtk_support_image_new_from_file(const gchar *filename);
GdkPixbuf *gj_gtk_support_pixbuf_new_from_file(const gchar *filename);
GdkPixbuf *gj_gtk_support_pixbuf_new_from_stock(const gchar *stock_item);

#endif

#ifdef __cplusplus
}
#endif



