/* 
 * $RCSfile: gj_iq_requests.h,v $
 *
 * $Author: ginxd $
 * $Date: 2003/05/11 12:19:36 $
 * 
 * $Revision: 1.3 $
 *
 */

#ifdef __cplusplus
extern "C" {
#if 0
}
#endif
#endif

#ifndef __gj_iq_requests_h
#define __gj_iq_requests_h

#include "gj_stream.h"
#include "gj_iq.h"

gboolean infoqueryRequestGreeting(gchar *to, guint port, streamCallback cb_connected, streamCallback cb_disconnected, streamCallback cb_error);
gboolean infoqueryRequestGoodbye(gchar *to);

gboolean infoqueryRequestAuthMethod(gchar *username, infoqueryCallback cb);
gboolean infoqueryRequestAuthWithPlainPassword(gchar *username, gchar *password, gchar *resource, infoqueryCallback cb);
gboolean infoqueryRequestAuthWithDigestPassword(gchar *username, gchar *password, gchar *resource, infoqueryCallback cb);
gboolean infoqueryRequestRoster(infoqueryRosterResponseProc proc);
gboolean infoqueryRequestRosterRemoveContact(gchar *jid, infoqueryCallback cb);
gboolean infoqueryRequestRosterAddContact(gchar *jid, gchar *name, GList *groups, infoqueryCallback cb);

gboolean infoqueryRequestVCard(gchar *to, infoqueryCallback cb, void *userdata);
gboolean infoqueryRequestVersion(gchar *to, infoqueryCallback cb, void *userdata);
gboolean infoqueryRequestTime(gchar *to, infoqueryCallback cb, void *userdata);
gboolean infoqueryRequestLast(gchar *to, infoqueryCallback cb, void *userdata);

gboolean infoqueryRequestPasswordChange(gchar *to, gchar *password, infoqueryCallback cb);
gboolean infoqueryRequestUserChange(gchar *jid, gchar *name, GList *group, infoqueryCallback cb);
gboolean infoqueryRequestVCardChange(gchar *fn,
				     gchar *given,
				     gchar *family,
				     gchar *nickname,
				     gchar *url,
				     gchar *tel,
				     gchar *email,
				     gchar *desc,
				     gchar *bday,
				     gchar *street,
				     gchar *extadd,
				     gchar *locality,
				     gchar *region,
				     gchar *pcode,
				     gchar *country,
				     gchar *orgname,
				     gchar *orgunit,
				     gchar *title,
				     gchar *role,
				     infoqueryCallback cb);

gboolean infoqueryRequestRegisterUser(gchar *to, gchar *username, gchar *password, infoqueryCallback cb);
gboolean infoqueryRequestRegister(gchar *to, infoqueryCallback cb);
gboolean infoqueryRequestRegistrationRequirements(gchar *to, infoqueryCallback cb);
gboolean infoqueryRequestRegistration(gchar *to, infoqueryCallback cb, ...);

gboolean infoqueryRequestUnRegister(gchar *to, infoqueryCallback cb);

gboolean infoqueryRequestAgents(gchar *server, infoqueryCallback cb);

#endif

#ifdef __cplusplus
}
#endif
