/* 
 * $RCSfile: gj_log.h,v $
 *
 * $Author: ginxd $
 * $Date: 2003/06/08 13:18:47 $
 * 
 * $Revision: 1.3 $
 *
 */

#ifndef __gj_log_h
#define __gj_log_h

#define GJ_LOG_LEVEL_ERROR             1 << 2        /* - always fatal */
#define GJ_LOG_LEVEL_CRITICAL          1 << 3
#define GJ_LOG_LEVEL_WARNING           1 << 4
#define GJ_LOG_LEVEL_MESSAGE           1 << 5
#define GJ_LOG_LEVEL_INFO              1 << 6
#define GJ_LOG_LEVEL_DEBUG             1 << 7

gboolean logInit();
gboolean logTerm();

/* void gj_log_handler(const gchar *log_domain, GLogLevelFlags log_level, const gchar *message, gpointer user_data); */
gboolean logHandlerFormatted(char *log_domain, int log_level, char *formatted);


#endif
