#ifndef __gj_main_h
#define __gj_main_h

#include <glib.h>

gboolean gnome_jabber_main(int argc, char **argv);
gboolean gnome_jabber_quit();

/* modules */
gboolean gnome_jabber_init_modules();
gboolean gnome_jabber_term_modules();

/*
 * member functions
 */

/* gets */
gchar *gnome_jabber_get_config_file();
gchar *gnome_jabber_get_glade_file();

gchar *gnome_jabber_get_config_dir();

gboolean gnome_jabber_get_first_time_run();

const gchar **gnome_jabber_get_server_list();

/* sets */
gboolean gnome_jabber_set_config_file(gchar *filename);
gboolean gnome_jabber_set_glade_file(gchar *filename);

gboolean gnome_jabber_set_config_dir(gchar *dir);

gboolean gnome_jabber_set_first_time_run(gboolean first_time_run);

#endif
