/* 
 * $RCSfile: gj_gtk_headline.h,v $
 *
 * $Author: ginxd $
 * $Date: 2003/05/17 10:06:54 $
 * 
 * $Revision: 1.3 $
 *
 */

#ifdef __cplusplus
extern "C" {
#if 0
}
#endif
#endif

#ifndef __gj_gtk_headline_h
#define __gj_gtk_headline_h

typedef struct t_headlineWindow *headlineWindow;

headlineWindow gj_gtk_hw_find_by_jid(gchar *jid);
headlineWindow gj_gtk_hw_find_by_jid_len(gchar *jid);
headlineWindow gj_gtk_hw_find_by_widget(GtkWidget *widget);

/*
 * member functions
 */

/* sets */
gboolean gj_gtk_hw_set_jid(headlineWindow hw, gchar *jid);

/* gets */
gchar *gj_gtk_hw_get_jid(headlineWindow hw);


/*
 * window functions
 */
gboolean gj_gtk_hw_load_by_jid(const gchar *jid);
gboolean gj_gtk_hw_show(headlineWindow hw, gboolean show);

headlineWindow gj_gtk_hw_notification_new(gint eventID, message msg);

#endif


#ifdef __cplusplus
}
#endif
