/* 
 * $RCSfile: gj_gtk_my_preferences.h,v $
 *
 * $Author: ginxd $
 * $Date: 2003/04/22 10:54:29 $
 * 
 * $Revision: 1.2 $
 *
 */

#ifndef __gj_gtk_my_preferences_h
#define __gj_gtk_my_preferences_h

gboolean gj_gtk_mpf_load();
gboolean gj_gtk_mpf_unload();

gboolean gj_gtk_mpf_get();

/* gets */
gboolean gj_gtk_mpf_get_use_gnome_docket();

gboolean gj_gtk_mpf_get_sound_enabled();
gboolean gj_gtk_mpf_get_sound_on_user_online();
gboolean gj_gtk_mpf_get_sound_on_user_offline();
gboolean gj_gtk_mpf_get_sound_on_receive_message();
gboolean gj_gtk_mpf_get_sound_on_receive_chat();
gboolean gj_gtk_mpf_get_sound_on_receive_url();
gboolean gj_gtk_mpf_get_sound_on_receive_error();
gboolean gj_gtk_mpf_get_sound_beep_if_no_file();
gchar *gj_gtk_mpf_get_sound_file_on_user_online();
gchar *gj_gtk_mpf_get_sound_file_on_user_offline();
gchar *gj_gtk_mpf_get_sound_file_on_receive_message();
gchar *gj_gtk_mpf_get_sound_file_on_receive_chat();
gchar *gj_gtk_mpf_get_sound_file_on_receive_url();
gchar *gj_gtk_mpf_get_sound_file_on_receive_error();

gboolean gj_gtk_mpf_get_hide_offline_contacts();
gboolean gj_gtk_mpf_get_hide_offline_group();
gboolean gj_gtk_mpf_get_hide_agents();

gboolean gj_gtk_mpf_get_close_previous_message_window_on_reply();
gboolean gj_gtk_mpf_get_raise_window_on_new_message();
gboolean gj_gtk_mpf_get_hide_time();
gboolean gj_gtk_mpf_get_reverse_text_direction();

gboolean gj_gtk_mpf_get_use_spell_checker();

gint gj_gtk_mpf_get_auto_away_after();
gint gj_gtk_mpf_get_auto_xa_after();
gchar *gj_gtk_mpf_get_auto_away_status();
gchar *gj_gtk_mpf_get_auto_xa_status();

gchar *gj_gtk_mpf_get_log_location();
gchar *gj_gtk_mpf_get_history_location();
gboolean gj_gtk_mpf_get_use_history();

/* sets */
gboolean gj_gtk_mpf_set_use_gnome_docket(gboolean bool);

gboolean gj_gtk_mpf_set_sound_enabled(gboolean bool);
gboolean gj_gtk_mpf_set_sound_on_user_online(gboolean bool);
gboolean gj_gtk_mpf_set_sound_on_user_offline(gboolean bool);
gboolean gj_gtk_mpf_set_sound_on_receive_message(gboolean bool);
gboolean gj_gtk_mpf_set_sound_on_receive_chat(gboolean bool);
gboolean gj_gtk_mpf_set_sound_on_receive_url(gboolean bool);
gboolean gj_gtk_mpf_set_sound_on_receive_error(gboolean bool);
gboolean gj_gtk_mpf_set_sound_beep_if_no_file(gboolean bool);
gboolean gj_gtk_mpf_set_sound_file_on_user_online(gchar *string);
gboolean gj_gtk_mpf_set_sound_file_on_user_offline(gchar *string);
gboolean gj_gtk_mpf_set_sound_file_on_receive_message(gchar *string);
gboolean gj_gtk_mpf_set_sound_file_on_receive_chat(gchar *string);
gboolean gj_gtk_mpf_set_sound_file_on_receive_url(gchar *string);
gboolean gj_gtk_mpf_set_sound_file_on_receive_error(gchar *string);

gboolean gj_gtk_mpf_set_hide_offline_contacts(gboolean bool);
gboolean gj_gtk_mpf_set_hide_offline_group(gboolean bool);
gboolean gj_gtk_mpf_set_hide_agents(gboolean bool);

gboolean gj_gtk_mpf_set_close_previous_message_window_on_reply(gboolean bool);
gboolean gj_gtk_mpf_set_raise_window_on_new_message(gboolean bool);
gboolean gj_gtk_mpf_set_hide_time(gboolean bool);
gboolean gj_gtk_mpf_set_reverse_text_direction(gboolean bool);

gboolean gj_gtk_mpf_set_use_spell_checker(gboolean bool);

gboolean gj_gtk_mpf_set_auto_away_after(guint integer);
gboolean gj_gtk_mpf_set_auto_xa_after(guint integer);
gboolean gj_gtk_mpf_set_auto_away_status(gchar *string);
gboolean gj_gtk_mpf_set_auto_xa_status(gchar *string);

gboolean gj_gtk_mpf_set_log_location(gchar *string);
gboolean gj_gtk_mpf_set_history_location(gchar *string);
gboolean gj_gtk_mpf_set_use_history(gboolean bool);


#endif

