/*
 * $RCSfile: gj_support.h,v $
 *
 * $Author: ginxd $
 * $Date: 2003/04/26 11:09:58 $
 *
 * $Revision: 1.3 $
 *
 */

#ifdef __cplusplus
extern "C" {
#if 0
}
#endif
#endif

#ifndef __gj_support_h
#define __gj_support_h

#include <time.h>

typedef enum t_uriType {
  uriTypeUnknown = 1,
  uriTypeURL,
  uriTypeHost,

  uriTypeEnd
} uriType;

int supportGetUniqueID();

const char *supportGetTimestamp();
const char *supportGetTimestampLong();
const char *supportGetDatestamp();
const char *supportGetDatestampLong();

const char *supportGetDatestampFromTimeT(time_t now);
const char *supportGetTimestampFromTimeT(time_t now);
const char *supportGetTimeAndDateFromTimeT(time_t now);

const char *supportGetTimestampFull();

gboolean supportFindInStr(const gchar *needle, const gchar *haystack);
gchar *supportFindInStrAndRemove(const gchar *needle, const gchar *haystack);
gchar *supportFindInStrAndReplace(const gchar *needle, const gchar *haystack, const gchar *replacement);

gboolean supportIsWordSeparator(gchar c);
uriType supportIsURI(gchar *word);

char *supportGetSHABySessionIDAndPassword(gchar *session_id, gchar *password);


#endif

#ifdef __cplusplus
}
#endif
