/* 
 * $RCSfile: gj_translate.h,v $
 *
 * $Author: ginxd $
 * $Date: 2003/04/22 10:54:30 $
 * 
 * $Revision: 1.2 $
 *
 */

#ifndef __gj_translate_h
#define __gj_translate_h

#include <glib.h>

#include "gj_roster.h"
#include "gj_presence.h"
#include "gj_message.h"
#include "gj_event.h"

const gchar *translateRosterItemType(rosterItemType type);

const gchar *translateRosterItemSubscription(rosterItemSubscription subscription);
const gchar *translateRosterItemSubscriptionAsDescription(rosterItemSubscription subscription);

const gchar *translateEventType(eventType type);

const gchar *translatePresenceType(presenceType type);
const gchar *translatePresenceShow(presenceShow show);

const gchar *translateMessageType(messageType type);
gchar *translateMessageXEventType(gint type);



#endif
